{
  config,
  lib,
  pkgs,
  ...
}: {
  virtualisation.oci-containers.containers.hub = {
    image = "lscr.io/linuxserver/heimdall:latest";
    volumes = [
      "/var/containers/hub:/config"
    ];
    ports = [
      "127.0.0.1:8081:80"
    ];
  };

  services.nginx.virtualHosts."hub.tailnet.stranger.systems" = {
    forceSSL = true;
    useACMEHost = "tailnet.stranger.systems";
    locations."/" = {
      proxyPass = "http://127.0.0.1:8081";
    };
  };
}
