{
  config,
  lib,
  pkgs,
  ...
}: {
  virtualisation.oci-containers.containers.vtt = {
    image = "felddy/foundryvtt:13";
    volumes = [
      "/var/containers/vtt:/data"
    ];
    ports = [
      "30000:30000"
    ];
    environmentFiles = [
      "/var/containers/vtt.env"
    ];
  };

  services.nginx.virtualHosts."vtt.stranger.systems" = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      recommendedProxySettings = true;
      proxyWebsockets = true;
      proxyPass = "http://127.0.0.1:30000";
    };
  };
}
